petsc-3.4.2 2013-07-02

# DMMeshGenerate

Generates a mesh.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshGenerate(DM boundary, PetscBool interpolate, DM *mesh)

Not Collective

### Input Parameters

| boundary | - The DMMesh boundary object
| interpolate | - Flag to create intermediate mesh elements

### Output Parameter

mesh -The DMMesh object

### Keywords

mesh, elements

### See Also

DMMeshCreate(), DMMeshRefine()

Level:intermediate
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages